> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nijta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Download Results

> Returns a signed URL for downloading results from the Voice Harbor API.



## OpenAPI

````yaml POST /api/jobs/{jobId}/files/download-url
openapi: 3.0.1
info:
  title: Voice Harbor API
  description: >-
    API for managing voice processing jobs, file uploads/downloads, and
    retrieving job content for the Voice Harbor service.
  version: 0.45.1
servers:
  - url: http://voiceharbor.ai
security:
  - bearerAuth: []
paths:
  /api/jobs/{jobId}/files/download-url:
    post:
      summary: Get Results
      description: Returns a signed URL for downloading results from the Voice Harbor API.
      parameters:
        - name: jobId
          in: path
          required: true
          schema:
            type: string
          description: ID of the job
      requestBody:
        description: File details for which to get the download signed URL
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DownloadSignedUrlRequest'
      responses:
        '200':
          description: Signed URL generated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SignedUrlResponse'
        '400':
          description: Missing parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Missing Authorization header
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Invalid token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal Voice Harbor API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearerAuth: []
components:
  schemas:
    DownloadSignedUrlRequest:
      type: object
      properties:
        fileName:
          type: string
      required:
        - fileName
    SignedUrlResponse:
      type: object
      properties:
        signedUrl:
          type: string
      required:
        - signedUrl
    Error:
      type: object
      properties:
        error:
          type: integer
        message:
          type: string
      required:
        - error
        - message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````